[android-components](../../index.md) / [mozilla.components.browser.domains.autocomplete](../index.md) / [DomainList](./index.md)

# DomainList

`enum class DomainList` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/domains/src/main/java/mozilla/components/browser/domains/autocomplete/Providers.kt#L18)

### Enum Values

| Name | Summary |
|---|---|
| [DEFAULT](-d-e-f-a-u-l-t.md) |  |
| [CUSTOM](-c-u-s-t-o-m.md) |  |

### Properties

| Name | Summary |
|---|---|
| [listName](list-name.md) | `val listName: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
